WESNOTH(6)

NAME
Battle for Wesnoth - fantasy turn-based strategy game

SYNOPSIS
wesnoth [OPTION] [PATH_TO_DATA]

DESCRIPTION
Battle for Wesnoth is a turn-based fantasy strategy game. Defeat all enemy leaders using a well-chosen cadre of troops, taking care to husband your resources of gold and villages. All units have their own strengths and weaknesses; to win, you must deploy your forces to their best advantage while denying your foes the chance to do the same. As units gain experience, they acquire new abilities and become more powerful. You can play in your own language, and even create your own custom units, scenarios or campaigns. Test your skill against a smart computer opponent, or join Wesnoth's large community of on-line players.

OPTIONS

--bpp
    sets BitsPerPixel value. Example: --bpp 32

--compress  <infile>  <outfile>
    compresses a savefile (infile) that is in text WML format into binary WML format (outfile).

-d, --debug
    shows extra debugging information and enables additional command mode options in-game (see the Wiki at http://www.wesnoth.org/ for more information about command mode).

--decompress  <infile>  <outfile>
    decompresses a savefile (infile) that is in binary WML format into text WML format (outfile).

-f, --fullscreen
    runs the game in full screen mode.

--fps
    displays the number of frames per second the game is currently running at, in a corner of the screen.

-h, --help
    displays a summary of command line options to standard output, and exits.

--log-error="domain1,domain2,...", --log-warning=..., --log-info=...
    sets the severity level of the debug domains. "all" can be used to match any debug domain. --log-info shows all messages, --log-warning only warnings and errors, and --log-error just errors.

--multiplayer
    runs a multiplayer game. There are additional options that can be used together with --multiplayer as explained below.

--nocache
    disables caching of game data.

--nosound
    runs game without sounds and music.

--path
    prints the name of the game data directory and exits.

-r, --resolution
    sets screen resolution. Example: -r 800x600

-t, --test
    runs the game in a small test scenario.

-v, --version
    shows version number and exits.

-w, --windowed
    runs the game in windowed mode.

Options for --multiplayer
The side-specific multiplayer options are marked with <number>. <number> has to be replaced by a side number. It usually is 1 or 2 but depends on the number of players possible in the chosen scenario.

--era=value
    use this option to play in the selected era instead of the "Default" era. The era is chosen by an id. Eras are described in the data/multiplayer.cfg file.

--nogui
    runs the game without the GUI. Must appear before --multiplayer to have the desired effect.

--scenario=value
    selects a multiplayer scenario. The default scenario is "multiplayer_test".

--algorithm<number>=value
    selects a non-standard algorithm to be used by the AI controller for this side. Available values: "idle_ai" and "sample_ai".

--controller<number>=value
    selects the controller for this side. Available values: "human" and "ai".

--parm<number>=name:value
    sets additional parameters for this side. This parameter depends on the options used with --controller and --algorithm. It should only be useful for people designing their own AI. (not yet documented completely)

--side<number>=value
    selects a faction of the current era for this side. The faction is chosen by an id. Factions are described in the data/multiplayer.cfg file.

AUTHOR
Written by David White <davidnwhite@comcast.net>.
Edited by Nils Kneuper <crazy-ivanovic@gmx.net> and ott <ott@gaon.net>.
This manual page was originally written by Cyril Bouthors <cyril@bouthors.org>.
Visit the official homepage: http://www.wesnoth.org/

COPYRIGHT
Copyright © 2003 David White <davidnwhite@comcast.net>
This is Free Software; this software is licensed under the GPL version 2, as published by the Free Software Foundation. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wesnoth_editor(6), wesnothd(6)